Subject: Re: Objections to advancing the attribute certificate authentication draft

From: "Anders Rundgren" <[email-masked]>
Date: Mon, 16 Oct 2000 11:21:14 +0200

Michael,

>> - ACs are in the "wrong" format: ASN.1.  XML is what's counts 
>> in e-business
>
>Rather, XML is what's *hot* in e-business. I'm not saying 'No' to XML. But I
>do not accept it as an argument. The encoding format doesn't affect the
>concept. There is a lot of things that can be blamed for being non-XML,
>however widely accepted for more than historical reasons.

That the concept is not affected by format is true.  Market acceptance is another thing.
That PKCs are in ASN.1 is less of a problem as they are essentially only used as a
an mechanism to bind a named entity to a public key.  ACs are more subject to "interpretation".
And more, it is a *new* thing which may call for a *new* format.   Note: I personally do not suggest
changing anything in the AC specification as it is pretty useless anyway.

<snip>

>> Externally ACs complicate things
>> more than they solve.
>I'd like to hear more *meaty* arguments for it :)

I believe that Bob's initial message had plenty of "beef"!

Anders